# Generated by Django 4.2.2 on 2023-06-12 08:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('monkeys', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Monkey',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='Monkey name')),
            ],
        ),
        migrations.CreateModel(
            name='Supplement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='Name')),
                ('composition', models.TextField(verbose_name='Composition')),
                ('duration', models.IntegerField(verbose_name='Duration (in days)')),
            ],
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createddatetime', models.DateTimeField(auto_now_add=True)),
                ('supplement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='supReport', to='monkeys.supplement')),
            ],
        ),
        migrations.CreateModel(
            name='Experiment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createddatetime', models.DateTimeField(auto_now_add=True)),
                ('effect', models.TextField(verbose_name='Effect')),
                ('monkey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='monkeyExperiment', to='monkeys.monkey')),
                ('supplement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='supExperiment', to='monkeys.supplement')),
            ],
        ),
        migrations.CreateModel(
            name='SupplementAccess',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('supplement', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='supAccess', to='monkeys.supplement')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='userAccess', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('supplement', 'user')},
            },
        ),
    ]
